> For the complete documentation index, see [llms.txt](https://docs.biscit.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.biscit.com/biscit-spend-management/getting-started/bsm-network-diagram.md).

# BSM Network Diagram

This diagram illustrates the integration flow between an end user using BSM, the BSM  Backend hosted in the BISCIT Azure Tenant, the customer's Epicor environment, and the customer's OFX account.

**Key Components**

1. **User Access:** The BSM User accesses the web-based BSM portal through a browser over a secure HTTPS connection.
2. **BISCIT Azure Tenant:**

* The BSM portal communicates with the BSM Backend over HTTPS.
* The BSM Backend securely communicates with the customer’s Epicor Kinetic APIs using HTTPS REST API calls.

3. **Customer Kinetic Instance:**

* The BSM portal securely communicates with the customer’s Epicor Kinetic APIs using HTTPS REST API calls to support all user-initiated operations.
* The Epicor Kinetic APIs perform data operations directly against the underlying Epicor Kinetic database.

4. **Customer's OFX Account**:

* The BSM portal securely communicates with the customer’s OFX account using OFX's REST APIs.
* The OFX system communicates with BSM Backend via a configured webhook.

```mermaid
%%{init: { 'flowchart': { 'rankSpacing': 0, 'subgraphPadding': 0, 'nodeSpacing': 0 } } }%%
graph TB
    %% Users
    subgraph User["👤 BSM User's Network<br/>"]
        BSMSPA["BSM SPA"]
    end

     %% OFX
    subgraph OFX["☁️ OFX Customer Account"]
        OFXBackend["OFX APIs"]
    end

    %% BSM Cloud
    subgraph BSM["☁️ BSM (Hosted in BISCIT Azure Tenant)"]
        HostedSPA["BSM Hosted SPA"]
        APIM["BISCIT APIM"]
        Backend["BSM APIs"]
    end

    %% Customer
    subgraph Customer["🏢 Customer's Kinetic Instance     (on prem or cloud)"]
        Spacer[" "]
        EpicorAPI["Epicor Kinetic APIs"]
        EpicorDB[("Epicor Kinetic Database")]
        
    end

    %% Connections
    HostedSPA -->|"Downloads"| BSMSPA
    BSMSPA -->|"HTTPS"| APIM
    BSMSPA -->|"HTTPS"| OFXBackend
    OFXBackend -->|"HTTPS (WebHook)"| APIM   
    APIM -->|"HTTPS"| Backend
    BSMSPA -->|"HTTPS REST API"| EpicorAPI
    Backend --> |"HTTPS REST API"| EpicorAPI   
    EpicorAPI --> EpicorDB
    User ~~~ Customer    
    BSM ~~~ Customer 
   
  

    %% Styling
    classDef azure fill:#DCEEFF,stroke:#4A90E2,stroke-width:2px
    classDef customer fill:#DFF5E1,stroke:#5cb85c,stroke-width:2px
    classDef user fill:#F1F3F4,stroke:#9aa0a6,stroke-width:2px
    classDef external fill:#CF,stroke:#4A90E2,stroke-width:2px
    classDef hidden fill:none,stroke:none,color:transparent

    class BSM azure
    class Customer customer
    class User user
    class Spacer hidden
    class OFX external
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.biscit.com/biscit-spend-management/getting-started/bsm-network-diagram.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
